Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 676260 - dcamp needs to spawn a new process
: dcamp needs to spawn a new process
[minotaur][best: 9m; likely 9m+1w; wo...
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: P1 blocker (vote)
: ---
Assigned To: Dave Camp (:dcamp)
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-08-03 08:11 PDT by Rob Campbell [:rc] (:robcee)
Modified: 2011-08-08 21:07 PDT (History)
9 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

screenshot (120.97 KB, image/jpeg)
2011-08-08 11:58 PDT, Dave Camp (:dcamp)
no flags Details

Description Rob Campbell [:rc] (:robcee) 2011-08-03 08:11:24 PDT
There is a great need for an additional fork of the dcamp project. We need this in Q3.
Comment 1 Michael Ratcliffe [:miker] [:mratcliffe] 2011-08-03 11:39:44 PDT
Yeah, I think that some would prefer this task to be completed as soon as possible.
Comment 2 Cedric Vivier [:cedricv] 2011-08-03 18:49:15 PDT
I think a few attached screenshots of the running process would be reasonable test coverage.
Comment 3 David Dahl :ddahl 2011-08-03 20:44:24 PDT
I'm not sure dcamp should be assigned this bug. Does his wife have a bugzilla account? He did ALMOST NOTHING.:)
Comment 4 Mihai Sucan [:msucan] 2011-08-04 00:57:13 PDT
We need this bug fixed on all platforms and architectures. :)
Comment 5 Rob Campbell [:rc] (:robcee) 2011-08-04 06:07:52 PDT
would like a UX review on this before it's marked resolved. I hear there's a work in progress patch that I'd like to get attached here.
Comment 6 Panos Astithas [:past] 2011-08-04 10:37:33 PDT
(In reply to comment #3)
> I'm not sure dcamp should be assigned this bug. Does his wife have a
> bugzilla account? He did ALMOST NOTHING.:)

We should at least get Mrs Camp to review this. Maybe even request superreview from the grandparents.
Comment 7 Michael Ratcliffe [:miker] [:mratcliffe] 2011-08-04 11:37:33 PDT
I believe that hot curries help ... there are a few things that can fix this quickly.
Comment 8 Dave Camp (:dcamp) 2011-08-08 11:58:04 PDT
Created attachment 551522 [details]
Comment 9 Dave Camp (:dcamp) 2011-08-08 11:58:45 PDT
pushed (with great effort) to the live branch.
Comment 10 Rob Campbell [:rc] (:robcee) 2011-08-08 15:08:33 PDT
well done, sir! Verified in today's video meeting.
Comment 11 Kevin Dangoor 2011-08-08 19:20:03 PDT
Comment on attachment 551522 [details]

I betcha this child process has already figured out how to communicate properly with the parent process. Once the sleep() call is done, he'll send a signal for sure.
Comment 12 David Dahl :ddahl 2011-08-08 21:07:06 PDT
Good work, he looks like he will be a metal drummer for sure

Note You need to log in before you can comment on or make changes to this bug.